summaryrefslogtreecommitdiffstats
path: root/devscripts/run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xdevscripts/run_tests.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/devscripts/run_tests.sh b/devscripts/run_tests.sh
new file mode 100755
index 0000000..faa642e
--- /dev/null
+++ b/devscripts/run_tests.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env sh
+
+if [ -z "$1" ]; then
+ test_set='test'
+elif [ "$1" = 'core' ]; then
+ test_set="-m not download"
+elif [ "$1" = 'download' ]; then
+ test_set="-m download"
+else
+ echo 'Invalid test type "'"$1"'". Use "core" | "download"'
+ exit 1
+fi
+
+python3 -bb -Werror -m pytest "$test_set"